Incompatible Licensing used in PPA (`artyfx` source in KXStudio PPAs)

Asked by Thomas Ward on 2020-07-07

Hello.

The KXStudio PPAs (specifically their 'plugins' PPA - https://launchpad.net/~kxstudio-debian/+archive/ubuntu/plugins) is shipping artyfx which has a MAJOR licensing issue which makes it unshippable and unable to even be shipped with the open source licensing currently in place.

There is a mix (thanks to Upstream effectively screwing themselves over) compining GPLv2, GPLv2+, and GPLv3+ licenses together. This makes a package **unsuitable to be shipped** in a PPA.

This issue was filed upstream at https://github.com/openAVproductions/openAV-ArtyFX/issues/44 with no resolution. In Ubuntu, an upload for artyfx was rejected for the incompatible licensing. This incompatibility would apply to Debian as well

Please review this and determine if the package should be removed from the specified PPA for license violations.

Question information

Language:
English Edit question
Status:
Expired
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Last query:
2020-07-07
Last reply:
2020-07-23
Colin Watson (cjwatson) said : #1

I agree that this shouldn't be in Ubuntu in the described state. Are you the copyright holder of any of the software in question and alleging a breach of your copyright?

Thomas Ward (teward) said : #2

no - this is simply observed by me. If the takedown is required to be one of the upstreams, then please close this issue without action.

Launchpad Janitor (janitor) said : #3

This question was expired because it remained in the 'Open' state without activity for the last 15 days.